
From: NeilBrown <neilb@cse.unsw.edu.au>

Silence another annoying "failed to contact portmap (errno -512)" on shutdown.

Signed-off-by: J. Bruce Fields <bfields@citi.umich.edu>
Signed-off-by: Neil Brown <neilb@cse.unsw.edu.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 fs/lockd/svc.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletion(-)

diff -puN fs/lockd/svc.c~lockd-flush-signals-on-shutdown fs/lockd/svc.c
--- 25/fs/lockd/svc.c~lockd-flush-signals-on-shutdown	Thu Jun  2 16:24:46 2005
+++ 25-akpm/fs/lockd/svc.c	Thu Jun  2 16:24:46 2005
@@ -191,7 +191,9 @@ lockd(struct svc_rqst *rqstp)
 		printk(KERN_DEBUG
 			"lockd: new process, skipping host shutdown\n");
 	wake_up(&lockd_exit);
-		
+
+	flush_signals(current);
+
 	/* Exit the RPC thread */
 	svc_exit_thread(rqstp);
 
_
